// Sample1Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "Sample1.h"
#include "Sample1Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSample1Dlg dialog




CSample1Dlg::CSample1Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSample1Dlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSample1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CSample1Dlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDPRINT, &CSample1Dlg::OnBnClickedPrint)
END_MESSAGE_MAP()


// CSample1Dlg message handlers

BOOL CSample1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here

	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSample1Dlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CSample1Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CSample1Dlg::OnBnClickedPrint()
{
HDC hdc;
DOCINFO docinfo; 
TEXTMETRIC textmetric;
CHAR DriverName[] = "NPI Integration Driver";	//ドライバ名

	memset(&docinfo, 0, sizeof(DOCINFO));
	docinfo.cbSize = sizeof(DOCINFO);
	docinfo.lpszDocName = "testprint"; 

	//!!注意!! CreateDCの引数は各環境で異なります 
	hdc = CreateDC(DriverName, DriverName, NULL, NULL);
	StartDoc(hdc, &docinfo);	
	StartPage(hdc);
	GetTextMetrics(hdc, &textmetric);
	TextOut(hdc, 10, textmetric.tmHeight * 1, "Line 1:Hello GDI", 16);
	TextOut(hdc, 10, textmetric.tmHeight * 2, "Line 2:Hello GDI", 16);
	TextOut(hdc, 10, textmetric.tmHeight * 3, "Line 3:Hello GDI", 16);
	EndPage(hdc);
	EndDoc(hdc);
	DeleteDC(hdc);
}
